# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

IUSE=""

WORDNET="WordNet-1.7.1"

DESCRIPTION="A checker for English grammars, for people who are not English natives."
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
	ftp://ftp.cogsci.princeton.edu/pub/wordnet/${WORDNET##*-}/${WORDNET}.tar.gz"
HOMEPAGE="http://queequeg.sourceforge.net/"

DEPEND=">=dev-lang/python-2.2"

KEYWORDS="x86 ~alpha ~sparc ~sparc64 ~ppc"
LICENSE="GPL-2"
SLOT="0"

S="${WORKDIR}/${P}"

src_compile(){
	emake dict WORDNET=${WORKDIR}/${WORDNET}

	# to make *.pyc
	echo | ./qq
}

src_install(){
	dodir   /usr/bin
	dodir   /usr/share/queequeg
	insinto /usr/share/queequeg
	exeinto /usr/share/queequeg

	doins *.pyc dict.txt
	doexe qq *.py
	dosym /usr/share/queequeg/qq /usr/bin/qq

	dodoc COPYING README TODO

	docinto htdocs
	dohtml htdocs/*
}
