# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit python

IUSE=""

DESCRIPTION="A checker for English grammars, for people who are not English natives."
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
HOMEPAGE="http://queequeg.sourceforge.net/"

DEPEND=">=dev-lang/python-2.2
	app-dicts/wordnet"

KEYWORDS="x86 ~alpha"
LICENSE="GPL-2"
SLOT="0"

S="${WORKDIR}/${P}"

src_compile(){
	emake dict WORDNETDICT=/usr/share/wordnet/dict || die
	for mod in *.py
	do
		python_mod_compile ${mod}
	done
}

src_install(){
	python_version
	local PREFIX=/usr/lib/python${PYVER}/site-packages/${PN}

	dodir /usr/bin
	dodir ${PREFIX}

	insinto ${PREFIX}
	doins *.py{c,o}
	[ -f "dict.txt" ] && doins dict.txt || doins dict.cdb

	exeinto ${PREFIX}
	doexe *.py qq

	dosym ${PREFIX}/qq /usr/bin/qq

	dodoc COPYING README TODO
	docinto htdocs
	dohtml htdocs/*
}
